/{organizationId}/{mandateId}/crm/mailingsCreate mailing
Creates a new mailing
Required permissions:
mandate.read
mailing.insert
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
namestringrequired minLength: 1
maxLength: 100
descriptionstringrequired maxLength: 140
typestringrequired Options:
emaillettercontactTypestring | nullrequired Options:
memberaddresscustomersponsorcontributoremployeesuppliertemplateContentsDefaultbooleanrequired maxItems: 10
draftboolean | nulloptional Default: true
sendToAlternativeCommunicationsboolean | nullrequired onlySendToMissingEmailAddressesboolean | nullrequired copyOrgEmailTemplateContentsbooleanoptional Default: false
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/mailings' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"description": "string",
"type": "email",
"contactType": "member",
"recipients": {
"segments": [
"string"
],
"sharedSegmentsFilter": {
"organizations": [
"000000000000000000000001"
],
"scope": "shared",
"sharedSegment": "string"
}
},
"templateContentsDefault": true,
"tags": [
"string"
],
"email": {
"tracking": true,
"unsubscribe": true,
"subject": "string",
"previewText": "string",
"replyTo": "string"
},
"letter": {
"sendColorPostal": true,
"sendWithCheaperMethod": true
},
"scheduledAt": "2026-06-15T22:30:00Z",
"templateContents": {},
"templateAttachment": {},
"sendToAlternativeCommunications": true,
"onlySendToMissingEmailAddresses": true
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Response
{
"_id": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}